#!/bin/bash

#updates by WIPAT 2555-02-06
#updates by WIBOON 2557-11-04

#This script is for current ubuntu 14.04.x

if [ -z "$(id -nG|grep -w "root")" ] ; then
  echo "need root, or try: sudo sh $0"
  exit
fi

sudo apt-get update
sudo apt-get -y install apache2 mrtg
MY_DIR=$(pwd)
SRC_DIR="${MY_DIR}/trunk/"
DST_DIR="/"

find ${SRC_DIR} -type d| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ ! -d "${TARGET}" ] ; then
    mkdir ${TARGET}
  fi
done
find ${SRC_DIR} -type f| while read LINE ; do
  TARGET=$(echo ${LINE}|sed "s;${SRC_DIR};${DST_DIR};")
  if [ -e "${TARGET}" ] ; then
    if [ -z "$(diff -q ${LINE} ${TARGET})" ] ; then
      continue
    fi 
    INFO=$(ls -clQ --time-style=long-iso ${TARGET})
    CTIME=$(echo ${INFO}|awk '{ print $6"-"$7 }')
    NAME=$(echo "${TARGET}_${CTIME}")
    cp -v ${TARGET} ${NAME}
  fi
  cp -v ${LINE} ${TARGET}
done
sudo cp -f ${MY_DIR}/version.txt /etc/mrtg
sudo chmod +x /etc/mrtg/get-cpu.sh
sudo chmod +x /etc/mrtg/get-memory.sh
sudo chmod +x /etc/mrtg/get-cpu-io.sh
sudo chmod +x /etc/mrtg/get-speed-eth0.sh
sudo env LANG=C /usr/bin/mrtg /etc/mrtg/myhost-cpu.cfg
sudo env LANG=C /usr/bin/mrtg /etc/mrtg/myhost-memory.cfg
sudo env LANG=C /usr/bin/mrtg /etc/mrtg/myhost-cpu-io.cfg
sudo env LANG=C /usr/bin/mrtg /etc/mrtg/myhost-speed-eth0.cfg
sudo indexmaker --column=1 --output=/var/www/mrtg/myhost/index.html /etc/mrtg/myhost-cpu.cfg /etc/mrtg/myhost-memory.cfg /etc/mrtg/myhost-cpu-io.cfg /etc/mrtg/myhost-speed-eth0.cfg
a2enconf mrtg
sudo service apache2 restart
sudo reload cron
